package com.chinaweal.aiccs.aiccs.abnormal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaweal.aiccs.aiccs.abnormal.dto.PYRequestDTO;
import com.chinaweal.aiccs.aiccs.abnormal.entity.Toincludeabn;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 拟列异主体表 服务类
 * </p>
 *
 * @author lwd
 * @since 2021-07-22
 */
public interface ToincludeabnService extends IService<Toincludeabn> {

    Toincludeabn selectReportYears(@Param("pripid")String pripid);

    Toincludeabn getByDataFromId(String dataFromId);

    List<Toincludeabn> getListByDataFromId(String dataFromId);

    /**
     * 保存线索和附件
     * @param files
     * @param toincludeabn
     * @return
     */
    boolean saveClueAndFile(String files, Toincludeabn toincludeabn);

    boolean deleteById(String userId,String toIncludeId);


    /**
     * 保存线索和附件
     * @param files
     * @param toincludeabn
     * @return
     */
    boolean saveYMLCClueAndFile(List<PYRequestDTO.Attachment> files, Toincludeabn toincludeabn);
}
